## gltestsrc

gltestsrc — Creates a test video stream

## Synopsis

    enum                GstGLTestSrcPattern;
    struct              GstGLTestSrc;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSrc
                         +----GstPushSrc
                               +----GstGLTestSrc

## Properties

      "is-live"                  gboolean              : Read / Write
      "pattern"                  GstGLTestSrcPattern   : Read / Write
      "timestamp-offset"         gint64                : Read / Write

## Description

### Example launch line

The gltestsrc element is used to produce test video texture. The video test produced can be controlled with the "pattern" property.

    gst-launch -v gltestsrc pattern=smpte ! glimagesink

Shows original SMPTE color bars in a window.

## Synopsis

### Element Information

plugin | opengl
author | David A. Schleef <ds@schleef.org>
class | Source/Video

### Element Pads

name | src
direction | source
presence | always
details | video/x-raw-gl, width=(int)[ 1, 8000 ], height=(int)[ 1, 6000 ], pixel-aspect-ratio=(fraction)1/1, framerate=(fraction)[ 0/1, 100/1 ]

## Details

### enum GstGLTestSrcPattern

    typedef enum {
        GST_GL_TEST_SRC_SMPTE,
        GST_GL_TEST_SRC_SNOW,
        GST_GL_TEST_SRC_BLACK,
        GST_GL_TEST_SRC_WHITE,
        GST_GL_TEST_SRC_RED,
        GST_GL_TEST_SRC_GREEN,
        GST_GL_TEST_SRC_BLUE,
        GST_GL_TEST_SRC_CHECKERS1,
        GST_GL_TEST_SRC_CHECKERS2,
        GST_GL_TEST_SRC_CHECKERS4,
        GST_GL_TEST_SRC_CHECKERS8,
        GST_GL_TEST_SRC_CIRCULAR,
        GST_GL_TEST_SRC_BLINK
    } GstGLTestSrcPattern;

The test pattern to produce.

`GST_GL_TEST_SRC_SMPTE` | A standard SMPTE test pattern
`GST_GL_TEST_SRC_SNOW` | Random noise
`GST_GL_TEST_SRC_BLACK` | A black image
`GST_GL_TEST_SRC_WHITE` | A white image
`GST_GL_TEST_SRC_RED` | A red image
`GST_GL_TEST_SRC_GREEN` | A green image
`GST_GL_TEST_SRC_BLUE` | A blue image
`GST_GL_TEST_SRC_CHECKERS1` | Checkers pattern (1px)
`GST_GL_TEST_SRC_CHECKERS2` | Checkers pattern (2px)
`GST_GL_TEST_SRC_CHECKERS4` | Checkers pattern (4px)
`GST_GL_TEST_SRC_CHECKERS8` | Checkers pattern (8px)
`GST_GL_TEST_SRC_CIRCULAR` | Circular pattern
`GST_GL_TEST_SRC_BLINK` | Alternate between black and white

### struct GstGLTestSrc

    struct GstGLTestSrc;

Opaque data structure.

## Property Details

### The `"is-live"` property

      "is-live"                  gboolean              : Read / Write

Whether to act as a live source.

Default value: FALSE

### The `"pattern"` property

      "pattern"                  GstGLTestSrcPattern   : Read / Write

Type of test pattern to generate.

Default value: SMPTE 100% color bars

### The `"timestamp-offset"` property

      "timestamp-offset"         gint64                : Read / Write

An offset added to timestamps set on buffers (in ns).

Default value: 0